Loading...
Searching...
No Matches
casacore::MSMetaData::SourceProperties Struct Reference

represents non-primary key data for a SOURCE table row More...

## Public Attributes

String | name
std::shared_ptr< vector< MFrequency > > | restfreq
std::shared_ptr< vector< String > > | transition

## Detailed Description

represents non-primary key data for a SOURCE table row

Definition at line 749 of file MSMetaData.h.

## Member Data Documentation

## name

String casacore::MSMetaData::SourceProperties::name

Definition at line 750 of file MSMetaData.h.

## restfreq

std::shared_ptr<vector<MFrequency> > casacore::MSMetaData::SourceProperties::restfreq

Definition at line 751 of file MSMetaData.h.

## transition

std::shared_ptr<vector<String> > casacore::MSMetaData::SourceProperties::transition

Definition at line 752 of file MSMetaData.h.

The documentation for this struct was generated from the following file:

- ms/MSOper/MSMetaData.h